Page MenuHomePhabricator

Inconsistent descriptions in the Newsletter interface for creating and unsubscribing
Closed, ResolvedPublic

Description

Summary
The description of what users are looking at is inconsistent in our language describing the interface.

Description
On the page for creating a newsletter the opening starts with "This page allows you to create a new newsletter". On the page for unsubscribing it states, "This interface allows you to unsubscribe from "Tech Showcase" newsletter." Emphasis added.

We should pick one way of describing what users are looking at. Is it a "page" or is it an "interface". I suggest the former, "page", as it's more common of a word and sounds less technical than "interface".

Event Timeline

Ckoerner created this task.Nov 20 2017, 7:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2017, 7:17 PM
QuimGil added a subscriber: QuimGil.

Thank you, good catch! Yes, "page" is better.

This is a good candidate for Google-Code-in-2017. Double thanks!

Who would/could mentor this for Google-Code-in-2017 ?

MtDu added a subscriber: MtDu.Nov 21 2017, 3:55 PM

I can help mentor this @Aklapper

divadsn claimed this task.EditedDec 1 2017, 7:53 AM
divadsn added a subscriber: divadsn.

I will work on this task, I think the former "page" is more accurate for the average user to understand, as @Ckoerner already said :)

Change 394635 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/extensions/Newsletter@master] Fix inconsistent descriptions in interface for creating and unsubscribing

https://gerrit.wikimedia.org/r/394635

MtDu added a comment.Dec 1 2017, 7:34 PM

task approved @divadsn

Thanks!

divadsn closed this task as Resolved.Dec 1 2017, 8:36 PM

@divadsn Great work. just to let you know that a task is closed as Resolved only after the corresponding patchests that fix it gets merged to master branch (or wherever it should go to). Not a problem, but just keep in mind from next time.

Change 394635 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Fix inconsistent descriptions in interface for creating and unsubscribing

https://gerrit.wikimedia.org/r/394635

@01tonythomas alright, I've overlooked that, thanks for the reminder :)

Change 396548 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/extensions/Newsletter@master] Replace instances of rawParams() to plaintextParams()

https://gerrit.wikimedia.org/r/396548